#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "PerformanceTrackManager.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable)
class DBDCOMPETENCE_API APerformanceTrackManager : public AActor
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Replicated, meta=(AllowPrivateAccess=true))
	TArray<ADBDPlayer*> _S42P02Survivors;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Replicated, meta=(AllowPrivateAccess=true))
	TArray<ADBDPlayer*> _S49P02Survivors;

public:
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;

public:
	APerformanceTrackManager();
};

FORCEINLINE uint32 GetTypeHash(const APerformanceTrackManager) { return 0; }
